﻿//
// Copyright (C) Ashish Kaila 2011
//

using System.Windows.Input;

namespace Flipbook.Commands
{
    /// <summary>
    /// Gesture command parameter
    /// </summary>
    public sealed class GestureCommandParameter
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="GestureCommandParameter"/> class.
        /// </summary>
        /// <param name="gestureEventArgs">The <see cref="System.Windows.Input.StylusSystemGestureEventArgs"/> instance containing the event data.</param>
        /// <param name="parameter">The parameter.</param>
        public GestureCommandParameter(StylusSystemGestureEventArgs gestureEventArgs, object parameter)
        {
            GestureEventArgs = gestureEventArgs;
            Parameter = parameter;
        }

        /// <summary>
        /// Gets the gesture event args
        /// </summary>
        public StylusSystemGestureEventArgs GestureEventArgs
        { 
            get; private set; 
        }

        /// <summary>
        /// Gets the parameter.
        /// </summary>
        public object Parameter
        {
            get;
            private set;
        }
    }
}
