﻿//
// Copyright (C) Ashish Kaila 2011
//

using System.Windows.Controls;
using MixModes.Synergy.VisualFramework.ViewModels;

namespace Flipbook.ViewModels
{
    /// <summary>
    /// Canvas view model
    /// </summary>
    public class CanvasViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CanvasViewModel"/> class.
        /// </summary>
        public CanvasViewModel()
            : this (new InkCanvas())
        {            
        }        

        /// <summary>
        /// Initializes a new instance of the <see cref="CanvasViewModel"/> class.
        /// </summary>
        /// <param name="canvas">The canvas.</param>
        public CanvasViewModel(InkCanvas canvas)
        {
            Canvas = canvas;
        }
        
        /// <summary>
        /// Gets the canvas.
        /// </summary>
        public InkCanvas Canvas
        {
            get; private set;
        }                       
    }
}
